'Connection String Property

Imports System.Data
Imports System.Data.OleDb
Imports System.Collections

Module ADONET_ConnectionStringProperty

    Sub Main()
        Dim i As Integer
        Dim con As OleDbConnection

        Try
            'Standart connection methods
            Console.WriteLine("Standart connection methods")
            con = New OleDbConnection("Provider=LCPI.IBProvider;" + _
                                      "data source=e:\database\employee.gdb;ctype=win1251;" & _
                                      "user id=sysdba;password=masterkey")
            con.Open()
            con.Close()
            Console.WriteLine("Standart connection methods... Done")
            Console.WriteLine("-----------------------------------")

            'Create new Connection from UDL file (generated with Data Link Properties Editor)
            'need to place udl file to bin project directory 
            'Source UDL text 
            '[OleDb]()
            '; Everything after this line is an OLE DB initstring
            'Provider=LCPI.IBProvider.1;Password=masterkey;Persist Security Info=True;User ID=sysdba;Data Source=e:\database\employee.gdb
            '
            Console.WriteLine("Trying open connection using UDL File")
            con = New OleDbConnection("file name=employee.udl")
            con.Open()
            con.Close()
            Console.WriteLine("Open connection using UDL File... Done")
            Console.WriteLine("--------------------------------------")

            ' Work in auto commit mode with read commited isolation level
            Console.WriteLine("Work in auto commit mode with read commited isolation level")
            con.ConnectionString = ("Provider=LCPI.IBProvider;data source=e:\database\employee.gdb;ctype=win1251;" & _
                    "auto_commit=true;auto_commit_level=0x1000;" & _
                    "user=sysdba;password=masterkey")
            con.Open()
            con.Close()

            Console.WriteLine("Work in auto commit mode with read commited isolation level... Done")
            Console.WriteLine("-------------------------------------------------------------------`")

            ' Switching connection to auto commit mode
            Console.WriteLine("Switching connection to auto commit mode")
            con = New OleDbConnection("Provider=LCPI.IBProvider;data source=e:\database\employee.gdb;ctype=win1251;" & _
                    "user=sysdba;password=masterkey" & _
                    "Session AutoCommit=true" & _
                    "Autocommit Isolation Levels= 4096") 'read commited=0x1000
            con.Open()
            con.Close()

            Console.WriteLine("Switching connection to auto commit mode... Done")
            Console.WriteLine("----------------------------------------")

        Catch myOLEDBException As OleDbException 'ole db exception
            'error collection sample 
            Console.WriteLine("----------------------------------------")
            For i = 0 To myOLEDBException.Errors.Count - 1
                Console.WriteLine("Message " & i.ToString + 1 & ": " + myOLEDBException.Errors(i).Message, True)
                Console.WriteLine("Native: " + myOLEDBException.Errors(i).NativeError.ToString())
                Console.WriteLine("Source: " + myOLEDBException.Errors(i).Source)
                Console.WriteLine("SQL: " + myOLEDBException.Errors(i).SQLState)
                Console.WriteLine("----------------------------------------")
            Next i

        Catch myException As Exception  'other exception
            'error collection sample
            Console.WriteLine("----------------------------------------")
            Console.WriteLine(myException.Message)
            Exit Sub
        End Try

        Console.WriteLine("Close connection if connection state is open", True)
        If con.State = ConnectionState.Open Then
            con.Close()
        End If

        Console.WriteLine("All Done. Press Enter to close", True)
        Console.ReadLine()

    End Sub

End Module
